@charset "UTF-8";

/* ====================
body
==================== */
body {
    opacity: 0;
    overflow: hidden;
}
body.comp {
    opacity: 1;
    overflow: auto;
    transition: opacity .5s;
}
/* ====================
header
==================== */
.header {
    top: -110px;
    transition: .5s;
}
body:has(.mv.is-after) header {
    top: 0;
}
/* ====================
MV
==================== */
.mv {
    background: #000;
    padding-bottom: 250px;
}
.mv__inner {
    height: 400svh;
}
.mv__inner__container {
    align-items: center;
    background: url(../images/fv_bg.png) center 40% no-repeat #000;
    display: flex;
    flex-wrap: wrap;
    height: 100svh;
    max-width: none;
    overflow-x: clip;
    position: sticky;
    transform: translateZ(0);
    top: 0;
}



.mv_images {
    aspect-ratio: 926 / 501;
    backface-visibility: hidden;
    margin: auto;
    transform: scale(2.5);
    transform-origin: center center;
    will-change: transform;
}
.mv_images picture {
    background-image: url("../images/renewal.webp");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    display: block;
    filter: brightness(0.15);
    height: 100%;
    margin: auto;
    will-change: filter;
}
.mv__inner__text {
    align-items: center;
    display: flex;
    height: 100svh;
    justify-content: center;
    position: absolute;
    inset: 0;
    width: 100%;
}
.mv.is-after .mv__inner__text {
    display: block;
    margin: auto;
    padding-top: 62px;
}
.mv__inner__text__container {
    color: #FFFFFF;
    font-family: "Noto Sans JP",sans-serif;
    font-weight: bold;
    line-height: 1;
    text-align: center;
}
.mv.is-after .mv__inner__text__container {
    animation: fadeIntext .3s linear forwards;
    position: relative;
}
@keyframes fadeIntext {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}
.mv__inner__text__container .P {
    font-size: clamp(32px,calc(34 / 1440 * 100vw),34px);
}
.mv__inner__text__container .S {
    font-size: clamp(89px,calc(89 / 1440 * 100vw),89px);
    margin: 30px auto;
}
.mv__inner__text__container .T {
    font-size: clamp(32px,calc(34 / 1440 * 100vw),34px);
}

/* スクロールアイコン */
.mv .mv__inner__text .ico-sc {
    color: #FFF;
    font-size: 12px;
    font-weight: 400;
    margin: auto;
    position: fixed;
    pointer-events: none;
    inset: 70svh 0 0 0;
    text-align: center;
}
.mv.is-after .mv__inner__text .ico-sc {
    opacity: 0;
}
.mv .mv__inner__text .ico-sc span {
    position: relative;
}
.mv .mv__inner__text .ico-sc span:before,
.mv .mv__inner__text .ico-sc span:after {
    content: "";
    display: block;
    margin: auto;
    position: absolute;
    inset: 0;
}
.mv .mv__inner__text .ico-sc span:before {
    border: 1px solid #FFF;
    border-radius: 10px;
    height: 54px;
    top: 25px;
    bottom: auto;
    width: 20px;
}
.mv .mv__inner__text .ico-sc span:after {
    animation: scPrompt 2s linear infinite;
    background: #FFF;
    border-radius: 10px;
    height: 6px;
    top: 35px;
    bottom: auto;
    width: 6px;
}
@keyframes scPrompt {
    0% {
        transform: translateY(0px);
        opacity: 1;
    }
    30% {
        transform: translateY(30px);
        opacity: 0;
    }
    100% {
        transform: translateY(30px);
        opacity: 0; 
    }
}





@media screen and (max-width: 1440px) {
    .mv {
        padding-bottom: calc(250 / 1440 * 100vw);
    }
    .mv.is-after .mv__inner__text {
        padding-top: calc(62 / 1440 * 100vw);
    }
    .mv__inner__text__container .S {
        margin: calc(30 / 1440 * 100vw) auto;
    }
}
@media screen and (max-width: 767px) {
    .mv {
        padding-bottom: calc(250 / 750 * 100vw);
    }
    .mv_images {
        aspect-ratio: 387 / 767;
        max-height: 60svh;
        height: 100%;
        width: auto;
    }
    .mv_images picture {
        background-image: url("../images/renewal-sp.webp");
    }
    .mv.is-after .mv__inner__text {
        padding-top: calc(100 / 750 * 100vw);
    }
    .mv__inner__text__container .P {
        font-size: calc(32 / 750 * 100vw);
    }
    .mv__inner__text__container .S {
        font-size: calc(89 / 750 * 100vw);
    }
    .mv__inner__text__container .T {
        font-size: calc(32 / 750 * 100vw);
    }
    .mv .mv__inner__text .ico-sc {
        top: 80svh;
    }
}
@media screen and (min-width: 768px){
    .mv_images {
        height: calc(500 / 1000 * 100vh);
    }
}